#!/bin/sh

if [ x"${CODENAME}" = x ]; then
    CODENAME=orel
fi

FINAL=
AUTO=

for i in $*
do
    if [ $i = final ]; then
	FINAL=_final
	SUITE2=stable
    fi
    if [ $i = auto ]; then
	AUTO=auto
	SUITE2=unstable
    fi
done

cur_prog=`basename $0`; cur_dir=`echo $0 | sed "s/${cur_prog}//"`

#if [ -f ${cur_dir}netlist_bin_${CODENAME}${FINAL} ]; then
if [ -f ${cur_dir}netlist_bin_${CODENAME}_${SUITE2} ]; then
    rm -f ${cur_dir}netlist_bin
    rm -f ${cur_dir}netlist_src
#    cp -rf ${cur_dir}netlist_bin_${CODENAME}${FINAL} ${cur_dir}netlist_bin
#    cp -rf ${cur_dir}netlist_src_${CODENAME}${FINAL} ${cur_dir}netlist_src
    cp -rf ${cur_dir}netlist_bin_${CODENAME}_${SUITE2} ${cur_dir}netlist_bin
    cp -rf ${cur_dir}netlist_src_${CODENAME}_${SUITE2} ${cur_dir}netlist_src
else
    echo Can\`t find netlists for ${CODENAME}
    exit 1
fi

