#!/bin/sh

if [ x"${CODENAME}" = x ]; then
    CODENAME=orel
fi

if [ x"${EDITION}" = x ]; then
    EDITION=CE
fi

cur_prog=`basename $0`; cur_dir=`echo $0 | sed "s/${cur_prog}//"`

if [ -f ${cur_dir}splash_${CODENAME}.xpm.gz ]; then
    rm -f ${cur_dir}splash.xpm.gz
    cp -rf ${cur_dir}splash_${CODENAME}.xpm.gz ${cur_dir}splash.xpm.gz
else
    echo Can\`t find splashes for ${CODENAME}
    exit 1
fi


if [ -f ${cur_dir}debian-logo_${EDITION}.png ]; then
    rm -f ${cur_dir}debian-logo.png
    cp -rf ${cur_dir}debian-logo_${EDITION}.png ${cur_dir}debian-logo.png
else
    echo Can\`t find debian-logo.pngs for ${EDITION}
    exit 1
fi
